Bug 744114 - Project Page is slow to load when multiple languages are enabled.
Summary: Project Page is slow to load when multiple languages are enabled.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI, Performance   
(Show other bugs)
Version: 1.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 1.4.2
Assignee: Runa Bhattacharjee
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-07 05:26 UTC by Carlos Munoz
Modified: 2013-03-04 02:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 07:25:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carlos Munoz 2011-10-07 05:26:35 UTC
Description of problem:
The project page loads rather slowly when multiple languages are enabled for the project and the user.


How reproducible:
Reproducible every time.


Steps to Reproduce:
1. Log in as a user that belongs to multiple language teams.
2. Go to the Projects' tab.
3. Select a project with multiple languages enabled.
  
Actual results:
The project pages takes +5 seconds to load when the number of languages is large enough (20+).

Comment 1 Carlos Munoz 2011-10-07 06:37:35 UTC
Added a Seam interceptor class that will cache bean method return values for a given scope.The project page should use this new feature to stop fetching the same data multiple times in the same page (in this case project). The project page should now load much faster even with multiple languages enabled.

Comment 2 Ding-Yi Chen 2011-10-10 01:59:30 UTC
Verified with Zanata version 1.4.2-SNAPSHOT (20111007-1636)


Note You need to log in before you can comment on or make changes to this bug.